﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Globalization;
using Telerik.Windows.Controls.ScheduleView;

namespace LightSwitchApplication
{
	public class WorkWeekViewDefinition : WeekViewDefinition
	{
		protected override DateTime GetVisibleRangeStart(DateTime currentDate, CultureInfo culture, DayOfWeek? firstDayOfWeek)
		{
			return CalendarHelper.GetFirstDayOfWeek(currentDate, DayOfWeek.Monday);
		}
		protected override DateTime GetVisibleRangeEnd(DateTime currentDate, CultureInfo culture, DayOfWeek? firstDayOfWeek)
		{
			DateTime endDate = new DateTime();
			switch (currentDate.DayOfWeek)
			{
				case DayOfWeek.Monday: endDate = currentDate.AddDays(5);
					break;
				case DayOfWeek.Tuesday: endDate = currentDate.AddDays(4);
					break;
				case DayOfWeek.Wednesday: endDate = currentDate.AddDays(3);
					break;
				case DayOfWeek.Thursday: endDate = currentDate.AddDays(2);
					break;
				case DayOfWeek.Friday: endDate = currentDate.AddDays(1);
					break;
				default: endDate = currentDate;
					break;
			}
			return endDate;
		}
	}
}
